org.bdgenomics.adam.rich

# RichAlignmentRecord

###
Related Docs: object RichAlignmentRecord | package rich

#### case class RichAlignmentRecord(record: AlignmentRecord) extends Product with Serializable

An enriched version of an Avro AlignmentRecord.

record

  The underlying read.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RichAlignmentRecord
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new RichAlignmentRecord(record: AlignmentRecord)

   record

     The underlying read.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

8. #### def fivePrimePosition: Long

   returns

     The position of the five prime end of the read.

9. #### def fivePrimeReferencePosition: ReferencePosition

   returns

     The position of the five prime end of the read, wrapped as a reference position.

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### def isMismatchAtReferencePosition(pos: ReferencePosition): Option[Boolean]

    pos

      The reference position to check for a mismatch.

    returns

      Returns true if this read overlaps the given reference position, and the base aligned at this position is a mismatch against the reference genome..

13. #### lazy val mdTag: Option[MdTag]

    The MdTag if the read is mapped, None otherwise

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def overlapsReferencePosition(pos: ReferencePosition): Boolean

    pos

      The reference position to check for overlap.

    returns

      Returns true if this read overlaps the given reference position.

18. #### lazy val qualityScores: Array[Int]

    The quality scores as a list of integers.

    The quality scores as a list of integers. Assumes Illumina (33) encoding.

19. #### val record: AlignmentRecord

    The underlying read.

20. #### lazy val samtoolsCigar: Cigar

    Parses the text CIGAR representation of the alignment.

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### lazy val tags: Seq[Attribute]

    On access, parses the attribute tags ("key:type:value" triples) into usable records.

23. #### lazy val unclippedEnd: Long

    The position of the unclipped end if the read is mapped, None otherwise.

    The position of the unclipped end if the read is mapped, None otherwise.

    Note

      The unclipped position assumes that any clipped bases would've been aligned as an alignment match.

24. #### lazy val unclippedStart: Long

    The position of the unclipped start if the read is mapped, None otherwise.

    The position of the unclipped start if the read is mapped, None otherwise.

    Note

      The unclipped position assumes that any clipped bases would've been aligned as an alignment match.

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped